# sodium_crypto_generichash

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_generichash — Renvoie un hachage du message

### Description

sodium_crypto_generichash(string `$message`, #[\SensitiveParameter] string `$key` = "", int `$length` = `SODIUM_CRYPTO_GENERICHASH_BYTES`): string

Hache un message avec BLAKE2b.

### Liste de paramètres

`message`

  Le message à hacher.

`key`

  (Optionnel) clé cryptographique. Cela sert à la même fonction qu'une clé HMAC, mais elle est utilisée comme une section réservée de l'état interne de BLAKE2.

`length`

  La taille de la sortie.

### Valeurs de retour

Le hachage cryptographique en tant que chaîne binaire brute. Si une sortie hexadécimale est désirée, le résultat peut être passé à sodium_bin2hex().